/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * $Id: wstring.h,v 1.4 2003/12/27 22:06:23 samy Exp $
 */

#ifndef MBLOCK
#define MBLOCK 16000
#endif

struct resource **rhash(struct resource *, int);
struct content **chash(struct content *, int);
char *strcol(const char *, int);
char *ltrim(char *);
char *rtrim(char *);
char *strgrab(char *, char *);
char *strgunzip(const char *, int);
char *strhtml(const char *);
char *wstripnl(char *);
char *strchop(char *, int);
int contfree(struct content **, int);
int vfsalloc(char *, va_list);
